
import 'dart:async';

import 'package:flutter/services.dart';

class MoMifarePlugin {
  static const MethodChannel _channel = MethodChannel('mo_mifare_plugin');

  static Future<String?> startNfc() async {
    final String? version = await _channel.invokeMethod('startNfc');
    return version;
  }

  static Future<String?> closeNfc() async {
    final String? version = await _channel.invokeMethod('closeNfc');
    return version;
  }

  static Future<String?> startReading() async {
    final String? version = await _channel.invokeMethod('readCard');
    return version;
  }

  static Future<String?> haltOperation() async {
    final String? version = await _channel.invokeMethod('haltOperation');
    return version;
  }

  static Future<String?> authBlock({required blockNo, required authKey}) async {
    final String? version = await _channel.invokeMethod('authBlock', <String, dynamic>{
      'blockNo': blockNo,
      'password': authKey,
    });
    return version;
  }

  static Future<String?> readBlock({required blockNo}) async {
    final String? version = await _channel.invokeMethod('read', <String, dynamic>{
      'blockNo': blockNo,
    });
    return version;
  }

  static Future<String?> writeBlock({required blockNo, required conent}) async {
    final String? version = await _channel.invokeMethod('write', <String, dynamic>{
      'blockNo': blockNo,
      'conent': conent,
    });
    return version;
  }
}
